"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("./external/common");
function transform(t, node) {
    switch (node.kind) {
        case "StringLiteral":
            return t.stringLiteral(node.value);
        case "ArrayLiteral":
            return t.arrayExpression(node.elements.map(function (element) { return transform(t, element); }));
        default:
            return common_1.throwError("Unsupported node kind: " + node.kind);
    }
}
exports.transform = transform;
